<ion-header mode="md" class="ion-no-border">
  <ion-toolbar mode="md">
    <!-- <ion-title *ngIf="!isEditingList">
      {{ list_current?.name }}
    </ion-title> -->
    <form [formGroup]="formListCurrent">
      <ion-input class="input-list" [ngClass]="{'readonly': !isEditingList}" [color]="list_current?.color_name" [readonly]="!isEditingList" #inputListName formControlName="name" (keyup.enter)="toSaveList()"></ion-input>
    </form>

    <ion-buttons slot="end">
      <ion-button [color]="list_current?.color_name" *ngIf="!isEditingList" (click)="toEditList()">
        <ion-icon slot="icon-only" name="create-outline"></ion-icon>
      </ion-button>
      <ion-button [color]="list_current?.color_name" *ngIf="isEditingList" (click)="toSaveList()">
        <ion-icon slot="icon-only" name="save-outline"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content color="light">

  <div *ngIf="task.length || task_completed.length">
    <ion-list [inset]="true" mode="ios" class="ion-no-padding" color="light" lines="none">
      <ion-reorder-group [disabled]="isDisabledReOrder" (ionItemReorder)="handleReorder($any($event))">
        <div *ngFor="let item of task; let i = index">
          <ion-item  mode="ios" *ngIf="!item.done">
            <ion-checkbox mode="ios"  [color]="list_current?.color_name" slot="start" aria-label="Toggle task completion" [checked]="item.done" (ionChange)="onCheck($event, i)"></ion-checkbox>
            <ion-input
              color="medium"
              aria-label="Task name"
              type="text"
              mode="ios"
              [ngClass]="{'done-task': item.done}"
              [(ngModel)]="item.text"
              (ionChange)="onInput($event, item.id)"
              (keyup.enter)="newToDo()"
              #inputs
            ></ion-input>
            <ion-button color="medium" *ngIf="isDisabledReOrder" fill="clear" slot="end" (click)="presentActionSheet(i)">
              <ion-icon name="ellipsis-vertical-outline"></ion-icon>
            </ion-button>
            <ion-reorder slot="end"></ion-reorder>
          </ion-item>
        </div>
      </ion-reorder-group>
    </ion-list>

    <!-- TASK COMPLETED -->
    <ion-list [inset]="true" mode="ios" class="ion-no-padding" color="light" lines="none">
      <ion-reorder-group [disabled]="isDisabledReOrder" (ionItemReorder)="handleReorder($any($event))">
        <div *ngFor="let item of task; let i = index">
          <ion-item  mode="ios" *ngIf="item.done">
            <ion-checkbox mode="ios"  [color]="list_current?.color_name" slot="start" aria-label="Toggle task completion" [checked]="item.done" (ionChange)="onCheck($event, i)"></ion-checkbox>
            <ion-input
              color="medium"
              aria-label="Task name"
              type="text"
              mode="ios"
              [ngClass]="{'done-task': item.done}"
              [(ngModel)]="item.text"
              (ionChange)="onInput($event, item.id)"
              (keyup.enter)="newToDo()"
              #inputs_completed
            ></ion-input>
            <ion-button color="medium" *ngIf="isDisabledReOrder" fill="clear" slot="end" (click)="presentActionSheet(i)">
              <ion-icon name="ellipsis-vertical-outline"></ion-icon>
            </ion-button>
            <ion-reorder slot="end"></ion-reorder>
          </ion-item>
        </div>
      </ion-reorder-group>
    </ion-list>
  </div>

  <div class="content-not-found" *ngIf="!task.length && !task_completed.length">
    <ion-img
      src="/assets/images/box-not-found-4.png"
      alt="List Not Found"
    ></ion-img>

    <p>No has agregado ninguna tarea aún.</p>
  </div>

    <!-- <ion-modal [keepContentsMounted]="true" [isOpen]="isModalDateHourOpen">
      <ion-datetime id="datetime"></ion-datetime>
    </ion-modal> -->

  <ion-fab slot="fixed" vertical="bottom" horizontal="end">
    <ion-fab-button [color]="list_current?.color_name" (click)="newToDo()">
      <ion-icon name="add"></ion-icon>
    </ion-fab-button>
  </ion-fab>

</ion-content>

<ion-footer mode="md" class="ion-no-border">
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-button shape="round" (click)="openLists()">
        <ion-icon slot="icon-only" name="reader-outline"></ion-icon>
      </ion-button>

      <ion-button shape="round" [fill]="btnReorderFill" (click)="toggleReorder()">
        <ion-icon slot="icon-only" name="swap-vertical-outline"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-footer>
